#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-
#
# setup.py
#
# type "python setup.py install" to install the module
#
# $Id: setup.py 354 2005-08-28 16:38:22Z lars $

import sys
import os

try:
    sys.version_info
except AttributeError:
    print "tarfile needs at least Python 2.x"
    sys.exit(1)

if sys.version_info[:2] < (2, 2):
    print "before proceeding you have to apply a patch."
    print "see README.python-2.x for details."
    sys.exit(1)

elif sys.version_info[:2] >= (2, 3):
    print "you may need to edit sys.path so that tarfile.py"
    print "is imported from site-packages."
    print

from distutils.core import setup, Extension

ext = []
if sys.version_info[:2] < (2, 3) and sys.platform[:3] != "win":
    ext.append(Extension("_tarfile", ["_tarfile.c"], include_dirs=["include"]))

setup(name = "tarfile",
      version = "0.7.7",
      description = "read and write access to tar archives",
      author = "Lars Gustbel",
      author_email = "lars@gustaebel.de",
      url = "http://www.gustaebel.de/lars/tarfile/",
      py_modules = ["tarfile"],
      ext_modules=ext)

